> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ringbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Register Webhook

> Register a URL to receive notifications when jobs complete.



## OpenAPI

````yaml POST /v1/webhooks
openapi: 3.0.3
info:
  title: MediAPI
  description: >-
    Media processing API — video, audio, image, and document transformations via
    simple REST calls.
  version: 1.0.0
servers:
  - url: https://api.ringbee.dev
    description: Production
security:
  - apiKey: []
paths:
  /v1/webhooks:
    post:
      tags:
        - Account
      summary: Register webhook
      description: Register a URL to receive notifications when jobs complete.
      operationId: registerWebhook
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - url
              properties:
                url:
                  type: string
                  example: https://example.com/webhook
                events:
                  type: array
                  items:
                    type: string
                  example:
                    - job.completed
                    - job.failed
      responses:
        '201':
          description: Webhook registered
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: X-API-Key

````